<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.test.datapool"
   name="%PLUGIN_NAME"
   version="3.0.1"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.test.datapool.DatapoolPlugin">

   <runtime>
      <library name="datapool_api.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.test.datapool, org.eclipse.hyades.execution.runtime.datapool, org.eclipse.hyades.edit.datapool"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
   </requires>


   <extension-point id="datapool_evaluator" name="Datapool Evaluator" schema="schema/datapool_evaluator.exsd"/>
   <extension-point id="datapool_iterator" name="Datapool Iterator" schema="schema/datapool_iterator.exsd"/>

   <extension
         id="DatapoolEvaluatorLiteral"
         name="Datapool Evaluator: Literal"
         point="org.eclipse.hyades.test.datapool.datapool_evaluator">
      <evaluator
            tag="Literal"
            class="org.eclipse.hyades.datapool.evaluator.DatapoolEvaluatorLiteral">
      </evaluator>
   </extension>
   <extension
         id="DatapoolEvaluatorExcelTest"
         name="Datapool Evaluator: Excel (test)"
         point="org.eclipse.hyades.test.datapool.datapool_evaluator">
      <evaluator
            tag="ExcelData"
            class="org.eclipse.hyades.datapool.evaluator.DatapoolEvaluatorExcelTest">
      </evaluator>
   </extension>
   <extension
         id="DatapoolIteratorSequentialPrivate"
         name="Datapool Iterator: Sequential, Private"
         point="org.eclipse.hyades.test.datapool.datapool_iterator">
      <iterator
            class="org.eclipse.hyades.datapool.iterator.DatapoolIteratorSequentialPrivate">
      </iterator>
   </extension>
   <extension
         id="DatapoolIteratorSequentialShared"
         name="Datapool Iterator: Sequential, Shared"
         point="org.eclipse.hyades.test.datapool.datapool_iterator">
      <iterator
            class="org.eclipse.hyades.datapool.iterator.DatapoolIteratorSequentialShared">
      </iterator>
   </extension>

</plugin>
